PUT Application/PutReports
Request Information
URI Parameters
None.
Body Parameters
Collection of Report| Name | Description | Type | Additional information |
|---|---|---|---|
| ID | globally unique identifier |
None. |
|
| ReportTypeID | ReportType |
Required |
|
| ReportCategoryID | globally unique identifier |
Required |
|
| ReportContextID | integer |
Required |
|
| Name | string |
Required |
|
| Description | string |
None. |
|
| ReportFileName | string |
None. |
|
| Code | string |
None. |
|
| IgnoreParameterSysAdmin | boolean |
Required |
|
| IsMobile | boolean |
Required |
|
| ReportDataSourceID | globally unique identifier |
None. |
|
| IsActive | boolean |
Required |
|
| ReportFileContent | string |
None. |
|
| ReportPath | string |
None. |
Request Formats
application/json, text/json
Sample:
[
{
"$id": "1",
"id": "511cc68e-6b28-406d-a3a3-179918705f16",
"reportTypeID": 1,
"reportCategoryID": "3a36bd91-6a70-4d67-a926-62d127ea8927",
"reportContextID": 3,
"name": "sample string 4",
"description": "sample string 5",
"reportFileName": "sample string 6",
"code": "sample string 7",
"ignoreParameterSysAdmin": true,
"isMobile": true,
"reportDataSourceID": "1af8af8f-7427-4dfb-8ffa-b23dd4218a30",
"isActive": true,
"reportFileContent": "sample string 11",
"reportPath": "sample string 12"
},
{
"$ref": "1"
}
]
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ServiceResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| IsSuccess | boolean |
None. |
|
| ErrorMessage | string |
None. |
|
| Code | string |
None. |
|
| Response | ServiceItem |
None. |
|
| LatestDataTimestampUtc | date |
None. |
Response Formats
application/json, text/json
Sample:
Sample not available.